# Asterisk Project : Asterisk 12 Application_WaitForRing

Added by wikibot , edited by wikibot on Aug 29, 2013

# WaitForRing()

### Synopsis

Wait for Ring Application.

### Description

Returns `0` after waiting at least timeout seconds, and only after the next ring has completed. Returns `0` on success or `-1` on hangup.

### Syntax

    WaitForRing(timeout)

##### Arguments

- `timeout`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown